From 669c29a76cce45c51a0c101c0f670b7429aee917 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Fri, 5 Jul 2019 07:11:15 +0200
Subject: [PATCH] passwordsafe: update to 1.08.1BETA

---
 .../patches/32bit-and-time64_t.patch          | 14 ++++++++++++
 srcpkgs/passwordsafe/template                 | 22 ++++++++-----------
 2 files changed, 23 insertions(+), 13 deletions(-)
 create mode 100644 srcpkgs/passwordsafe/patches/32bit-and-time64_t.patch

diff --git a/srcpkgs/passwordsafe/patches/32bit-and-time64_t.patch b/srcpkgs/passwordsafe/patches/32bit-and-time64_t.patch
new file mode 100644
index 00000000000..5d480652e9d
--- /dev/null
+++ b/srcpkgs/passwordsafe/patches/32bit-and-time64_t.patch
@@ -0,0 +1,14 @@
+32bit platforms (i686, armv7l) also have a struct __time64_t
+__TIME64_T_TYPE is a glibc-ism ?
+
+--- src/os/unix/pws_time.h.ORIG	2019-05-05 21:43:08.000000000 +0200
++++ src/os/unix/pws_time.h	2019-07-04 19:29:27.434139040 +0200
+@@ -15,7 +15,7 @@
+ #endif
+ 
+ typedef time_t __time32_t;
+-#ifndef __time64_t 
++#if !defined(__time64_t) && !defined(__TIME64_T_TYPE)
+ typedef uint64_t __time64_t;
+ #endif
+ 
diff --git a/srcpkgs/passwordsafe/template b/srcpkgs/passwordsafe/template
index 060338551e1..7fb8b858209 100644
--- a/srcpkgs/passwordsafe/template
+++ b/srcpkgs/passwordsafe/template
@@ -1,6 +1,6 @@
 # Template file for 'passwordsafe'
 pkgname=passwordsafe
-version=1.07BETA
+version=1.08.1BETA
 revision=1
 wrksrc="pwsafe-${version}"
 build_style=cmake
@@ -14,21 +14,17 @@ maintainer="Rui Abreu Ferreira <raf-ep@gmx.com>"
 license="Artistic-2.0"
 homepage="https://pwsafe.org"
 distfiles="https://github.com/pwsafe/pwsafe/archive/${version}.tar.gz>pwsafe-${version}.tar.gz"
-checksum=242c06a9b2685e09fcefa4c8fca09a3f7ab3c38f338e2ca067992e072bdbe2d4
+checksum=2c3648e8189a32c107c7d7bc0527c919db36b3940f19b0e58b37f0f992ea42a7
+
+# crossbuild already handled via wrapper
+if [ -z "$CROSS_BUILD" ]; then
+	configure_args+=" -DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-config-gtk3"
+
+fi
 
 pre_configure() {
 	# ykpers-1 includes are hardcoded, add cross base
 	sed -i -e "s|-I\(/usr/include/ykpers-1\)|-I${XBPS_CROSS_BASE}\1|" CMakeLists.txt
-
-	# workaround for cmake to find wx-config-gtk3
-	# can be removed once there is only one 'wx-config'
-	if [ "$CROSS_BUILD" ]; then
-		# cannot override wxWidgets_CONFIG_EXECUTABLE set in
-		# the cross toolchain file otherwise
-		ln -s ${XBPS_WRAPPERDIR}/wx-config{-gtk3,}
-	else
-		sed -i "1i\set(wxWidgets_CONFIG_EXECUTABLE wx-config-gtk3)" CMakeLists.txt
-	fi
 }
 
 do_install() {
@@ -51,7 +47,7 @@ do_install() {
 	vman docs/pwsafe.1 passwordsafe.1
 
 	# locales
-	# NB: correspoding locales have to be enabled in /etc/default/libc-locales
+	# NB: corresponding locales have to be enabled in /etc/default/libc-locales
 	vmkdir usr/share/locale
 	vcopy build/src/ui/wxWidgets/I18N/mos/* usr/share/locale
 }
